首页 -> 安全研究

安全研究

安全漏洞
Snyk Broker任意文件读取漏洞(CVE-2020-7648)

发布日期:2020-05-29
更新日期:2020-06-02

受影响系统:
Snyk Broker < 4.72.2
不受影响系统:
Snyk Broker >=4.72.2
描述:
CVE(CAN) ID: CVE-2020-7648

Snyk Broker是一款用于snyk.io和Git存储库之间访问的代理程序。

Snyk Broker 4.72.2之前的版本存在任意文件读取漏洞。具有Snyk的内部网络权限的用户可利用该漏洞通过在URL后面添加片段标识符以及已加入白名单的路径(如#package.json)读取任意文件。

<*来源:Wing Chan (The Hut Group)
  *>

建议:
厂商补丁:

Snyk
----
目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
https://snyk.io/vuln/SNYK-JS-SNYKBROKER-570607
https://updates.snyk.io/snyk-broker-security-fixes-152338

浏览次数:106
严重程度:0(网友投票)
本安全漏洞由绿盟科技翻译整理,版权所有,未经许可,不得转载
绿盟科技给您安全的保障